Bug 1447356 (CVE-2017-8372, CVE-2017-8373, CVE-2017-8374)

Summary: CVE-2017-8372 CVE-2017-8373 CVE-2017-8374 libmad: Multiple vulnerabilities
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: kwizart
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:11:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1447357, 1447358    
Bug Blocks:    

Description Andrej Nemec 2017-05-02 13:44:34 UTC
Multiple vulnerabilities were found in libmad.

CVE-2017-8372:

The mad_layer_III function in layer3.c in Underbit MAD libmad 0.15.1b,
if NDEBUG is omitted, allows remote attackers to cause a denial of
service (assertion failure and application exit) via a crafted audio
file.

https://blogs.gentoo.org/ago/2017/04/30/libmad-assertion-failure-in-layer3-c/

CVE-2017-8373:

The mad_layer_III function in layer3.c in Underbit MAD libmad 0.15.1b
allows remote attackers to cause a denial of service (heap-based buffer
overflow and application crash) or possibly have unspecified other
impact via a crafted audio file.

https://blogs.gentoo.org/ago/2017/04/30/libmad-heap-based-buffer-overflow-in-mad_layer_iii-layer3-c/

CVE-2017-8374:

The mad_bit_skip function in bit.c in Underbit MAD libmad 0.15.1b
allows remote attackers to cause a denial of service (heap-based buffer
over-read and application crash) via a crafted audio file

https://blogs.gentoo.org/ago/2017/04/30/libmad-heap-based-buffer-overflow-in-mad_bit_skip-bit-c/

Comment 1 Andrej Nemec 2017-05-02 13:45:06 UTC
Created libmad tracking bugs for this issue:

Affects: epel-all [bug 1447358]
Affects: fedora-all [bug 1447357]

Comment 2 Product Security DevOps Team 2019-06-08 03:11:51 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.